Index: src/main/resources/templates/addEvent.html
===================================================================
--- src/main/resources/templates/addEvent.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/addEvent.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -1,10 +1,10 @@
 <th:block xmlns:th="http://www.thymeleaf.org">
     <div style="color: white" class="container">
-        <h1 class="jumbotron-heading">Add New Event</h1>
+        <h1 class="jumbotron-heading">Додани нов настан</h1>
         <div class="row">
             <div class="col-md-5">
                 <form action="/home/addE" method="POST">
                     <div class="form-group">
-                        <label for="theme">Theme</label>
+                        <label for="theme">Тема</label>
                         <input type="text"
                                class="form-control"
@@ -12,8 +12,8 @@
                                name="theme"
                                required
-                               placeholder="Enter theme">
+                               placeholder="внеси тема">
                     </div>
                     <div class="form-group">
-                        <label for="duration">Duration</label>
+                        <label for="duration">Траење</label>
                         <input type="text"
                                class="form-control"
@@ -23,13 +23,13 @@
                     </div>
                     <div class="form-group">
-                        <label for="repeating">Repeating</label>
+                        <label for="repeating">Дали се повторува</label>
                         <input type="text"
                                class="form-control"
                                id="repeating"
                                name="repeating"
-                               placeholder="repeating">
+                               placeholder="">
                     </div>
                     <div class="form-group">
-                        <label for="start_date">Start Date</label>
+                        <label for="start_date">Почетен датум</label>
                         <input type="date"
                                class="form-control"
@@ -39,5 +39,5 @@
                     </div>
                     <div class="form-group">
-                        <label for="img_url">Image Url</label>
+                        <label for="img_url">Слика</label>
                         <input type="text"
                                class="form-control"
@@ -47,8 +47,12 @@
                     </div>
 
-                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Add Event</button>
+                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Додади</button>
                 </form>
             </div>
+
         </div>
+
+        <button style="background-color: #ff5019"  class="btn btn-primary"><a style="color: white" href="/addEventToCinema">Додади настан во кинотека</a></button>
+
     </div>
 
Index: src/main/resources/templates/addEventToCinema.html
===================================================================
--- src/main/resources/templates/addEventToCinema.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/addEventToCinema.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -2,5 +2,5 @@
 
     <div class="container" style="color: white">
-        <h1 class="jumbotron-heading">Add event to cinema</h1>
+        <h1 class="jumbotron-heading">Додади настан во кинотека</h1>
         <div class="row">
             <div class="col-md-5">
@@ -8,5 +8,5 @@
 
                     <div class="form-group">
-                        <label>Cinema</label>
+                        <label>Кинотека</label>
                         <select name="id_cinema" id="f1" class="form-control">
                             <option
@@ -19,5 +19,5 @@
 
                     <div class="form-group">
-                        <label>Cinema</label>
+                        <label>Настан</label>
                         <select name="id_event" id="f2" class="form-control">
                             <option
@@ -28,5 +28,5 @@
                         </select>
                     </div>
-                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Add </button>
+                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Додади </button>
                 </form>
             </div>
Index: src/main/resources/templates/addFilm.html
===================================================================
--- src/main/resources/templates/addFilm.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/addFilm.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -2,10 +2,10 @@
 
     <div class="container" style="color: white">
-        <h1 class="jumbotron-heading">Add New Film</h1>
+        <h1 class="jumbotron-heading">Додади нов филм</h1>
         <div class="row">
             <div class="col-md-5">
                 <form action="/home/addF" method="POST">
                     <div class="form-group">
-                        <label for="name">Name</label>
+                        <label for="name">Име</label>
                         <input type="text"
                                class="form-control"
@@ -13,39 +13,39 @@
                                name="name"
                                required
-                               placeholder="Name">
+                               placeholder="Име на филмот">
                     </div>
                     <div class="form-group">
-                        <label for="duration">Duration</label>
+                        <label for="duration">Траење</label>
                         <input type="number"
                                class="form-control"
                                id="duration"
                                name="duration"
-                               placeholder="Duration">
+                               placeholder="Траење">
                     </div>
                     <div class="form-group">
-                        <label for="actors">Actors</label>
+                        <label for="actors">Актери</label>
                         <input type="text"
                                class="form-control"
                                id="actors"
                                name="actors"
-                               placeholder="Actors">
+                               placeholder="Актери">
                     </div>
                     <div class="form-group">
-                        <label for="genre">Genre</label>
+                        <label for="genre">Жанр</label>
                         <input type="text"
                                class="form-control"
                                id="genre"
                                name="genre"
-                               placeholder="Genre">
+                               placeholder="Жанр">
                     </div>   <div class="form-group">
-                    <label for="age_category">Age Category</label>
+                    <label for="age_category">Возрасна група</label>
                     <input type="text"
                            class="form-control"
                            id="age_category"
                            name="age_category"
-                           placeholder="Age Category">
+                           placeholder="Возрасна група">
                 </div>
                     <div class="form-group">
-                    <label for="url">Url</label>
+                    <label for="url">Слика</label>
                     <input type="url"
                            class="form-control"
@@ -55,13 +55,13 @@
                 </div>
                     <div class="form-group">
-                    <label for="director">Director</label>
+                    <label for="director">Режисер</label>
                     <input type="text"
                            class="form-control"
                            id="director"
                            name="director"
-                           placeholder="Director">
+                           placeholder="Режисер">
                 </div>
                     <div class="form-group">
-                        <label for="start_date">Start Date</label>
+                        <label for="start_date">Почетен датум</label>
                         <input type="date"
                                class="form-control"
@@ -71,5 +71,5 @@
                     </div>
                     <div class="form-group">
-                        <label for="end_date">End Date</label>
+                        <label for="end_date">Краен датум</label>
                         <input type="date"
                                class="form-control"
@@ -79,8 +79,10 @@
                     </div>
 
-                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Add Film</button>
+                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Додади</button>
                 </form>
             </div>
         </div>
+        <button style="background-color: #ff5019"  class="btn btn-primary"><a style="color: white" href="/addFilmToCinema">Додади филм во кинотека</a></button>
+
     </div>
 
Index: src/main/resources/templates/addFilmToCinema.html
===================================================================
--- src/main/resources/templates/addFilmToCinema.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/addFilmToCinema.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -2,5 +2,5 @@
 
   <div class="container" style="color: white">
-    <h1 class="jumbotron-heading">Add event to cinema</h1>
+    <h1 class="jumbotron-heading">Додади филм во кинотека</h1>
     <div class="row">
       <div class="col-md-5">
@@ -8,5 +8,5 @@
 
           <div class="form-group">
-            <label>Cinema</label>
+            <label>Кинотека</label>
             <select name="id_cinema" id="f1" class="form-control">
               <option
@@ -19,5 +19,5 @@
 
           <div class="form-group">
-            <label>Film</label>
+            <label>Филм</label>
             <select name="id_film" id="f2" class="form-control">
               <option
@@ -28,5 +28,5 @@
             </select>
           </div>
-          <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Add </button>
+          <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Додади </button>
         </form>
       </div>
Index: src/main/resources/templates/addProjection.html
===================================================================
--- src/main/resources/templates/addProjection.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/addProjection.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -2,5 +2,5 @@
 
     <div class="container" style="color: white">
-        <h1 class="jumbotron-heading">Add New Projection</h1>
+        <h1 class="jumbotron-heading">Додади нова проекција</h1>
         <div class="row">
             <div class="col-md-5">
@@ -8,5 +8,5 @@
 
                     <div class="form-group">
-                        <label for="type_of_technology">Type Of Technology</label>
+                        <label for="type_of_technology">Тип на технологија</label>
                         <input type="text"
                                class="form-control"
@@ -16,5 +16,5 @@
                     </div>
                     <div class="form-group">
-                        <label for="date_time_start">Start Date</label>
+                        <label for="date_time_start">Почетен датум</label>
                         <input type="date"
                                class="form-control"
@@ -24,5 +24,5 @@
                     </div>
                     <div class="form-group">
-                        <label for="date_time_end">End Date</label>
+                        <label for="date_time_end">Краен датум</label>
                         <input type="date"
                                class="form-control"
@@ -32,5 +32,5 @@
                     </div>
                     <div class="form-group">
-                        <label>Film</label>
+                        <label>Филм</label>
                         <select name="id_film" id="f1" class="form-control">
                             <option
@@ -42,5 +42,5 @@
                     </div>
 
-                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Add Projection</button>
+                    <button style="background-color: #ff5019" id="submit" type="submit" class="btn btn-primary">Додади</button>
                 </form>
             </div>
Index: src/main/resources/templates/events.html
===================================================================
--- src/main/resources/templates/events.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/events.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -210,5 +210,5 @@
                     <form th:action="@{'/home/getFilm/{id}' (id=${event.getId_event()})}"
                           th:method="GET">
-                        <button class="button" type="submit">Details</button>
+                        <button class="button" type="submit">Датали</button>
                     </form>
                 </div>
Index: src/main/resources/templates/films.html
===================================================================
--- src/main/resources/templates/films.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/films.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -237,5 +237,5 @@
                             th:action="@{'/home/getFilm/{id}' (id=${film.getId_film()})}"
                           th:method="GET">
-                        <button class="button" type="submit">Details</button>
+                        <button class="button" type="submit">Детали</button>
                     </form>
 
Index: src/main/resources/templates/home.html
===================================================================
--- src/main/resources/templates/home.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/home.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -215,5 +215,5 @@
             <form th:action="@{'/home/getFilm/{id}' (id=${film.getId_film()})}"
                   th:method="GET">
-                <button class="button" type="submit">Details</button>
+                <button class="button" type="submit">Детали</button>
             </form>
 
@@ -243,5 +243,5 @@
             <form th:action="@{'/home/getFilm/{id}' (id=${event.getId_event()})}"
                   th:method="GET">
-                <button class="button" type="submit">Details</button>
+                <button class="button" type="submit">Детали</button>
             </form>
         </div>
Index: src/main/resources/templates/login.html
===================================================================
--- src/main/resources/templates/login.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/login.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -4,17 +4,17 @@
         <div class="container">
             <form class="form-signin mt-xl-5" method="post" action="/login">
-                <h2 class="form-signin-heading">SIGN IN</h2>
+                <h2 class="form-signin-heading">Најава</h2>
                 <p>
-                    <label for="username" class="sr-only">Username</label>
-                    <input type="text" id="username" name="username" class="form-control" placeholder="Username" required="" autofocus=""/>
+                    <label for="username" class="sr-only">Корисничко име</label>
+                    <input type="text" id="username" name="username" class="form-control" placeholder="Корисничко име" required="" autofocus=""/>
                 </p>
                 <p>
-                    <label for="password" class="sr-only">Password</label>
-                    <input type="password" id="password" name="password" class="form-control" placeholder="Password" required=""/>
+                    <label for="password" class="sr-only">Лозинка</label>
+                    <input type="password" id="password" name="password" class="form-control" placeholder="Лозинка" required=""/>
                 </p>
             </form>
-            <button id="submit" class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
+            <button id="submit" class="btn btn-lg btn-primary btn-block" type="submit">Најави се</button>
         </div>
     </form>
-    <a href="/register" class="btn btn-block btn-light">Register Here!</a>
+    <a href="/register" class="btn btn-block btn-light">Регистрирај се тука!</a>
 </div>
Index: src/main/resources/templates/register.html
===================================================================
--- src/main/resources/templates/register.html	(revision 86e187f65285024b0736267d80fd9f19a28682a9)
+++ src/main/resources/templates/register.html	(revision 39a45e62a3282af51d7c3631c2e02cb17d7b2b93)
@@ -6,30 +6,30 @@
         <h2 class="form-signin-heading">Register</h2>
         <p>
-            <label for="username" class="sr-only">Username</label>
-            <input type="text" id="username" name="username" class="form-control" placeholder="Username" required=""
+            <label for="username" class="sr-only">Корисничко име</label>
+            <input type="text" id="username" name="username" class="form-control" placeholder="Корисничко име" required=""
                    autofocus="">
         </p>
         <p>
-            <label for="password" class="sr-only">Password</label>
-            <input type="password" id="password" name="password" class="form-control" placeholder="Password"
+            <label for="password" class="sr-only">Лозинка</label>
+            <input type="password" id="password" name="password" class="form-control" placeholder="Лозинка"
                    required="">
         </p>
         <p>
-            <label for="repeatedPassword" class="sr-only">Repeat Password</label>
+            <label for="repeatedPassword" class="sr-only">Повтори лозинка</label>
             <input type="password" id="repeatedPassword" name="repeatedPassword" class="form-control"
-                   placeholder="Repeat Password" required="">
+                   placeholder="Повтори лозинка" required="">
         </p>
         <p>
-            <label for="first_name" class="sr-only">First Name</label>
-            <input type="text" id="first_name" name="first_name" class="form-control" placeholder="First Name" required="" autofocus="">
+            <label for="first_name" class="sr-only">Име</label>
+            <input type="text" id="first_name" name="first_name" class="form-control" placeholder="Име" required="" autofocus="">
         </p>
         <p>
-            <label for="last_name" class="sr-only">Last Name</label>
-            <input type="text" id="last_name" name="last_name" class="form-control" placeholder="Last Name" required=""
+            <label for="last_name" class="sr-only">Презиме</label>
+            <input type="text" id="last_name" name="last_name" class="form-control" placeholder="Презиме" required=""
                    autofocus="">
         </p>
         <p>
-            <label for="number" class="sr-only">Phone Number</label>
-            <input type="text" id="number" name="number" class="form-control" placeholder="Enter Number" required=""
+            <label for="number" class="sr-only">Телефонски број</label>
+            <input type="text" id="number" name="number" class="form-control" placeholder="Телефонски број" required=""
                    autofocus="">
         </p>
@@ -44,6 +44,6 @@
         </div>
         </p>
-        <button class="btn btn-lg btn-primary btn-block" type="submit">Sign up</button>
+        <button class="btn btn-lg btn-primary btn-block" type="submit">Регистрирај се</button>
     </form>
-    <a href="/login" class="btn btn-block btn-light">Already have an account? Login here!</a>
+    <a href="/login" class="btn btn-block btn-light">Имаш постоечки профил? Најави се тука</a>
 </div>