Index: src/main/resources/static/css/admin-terms.css
===================================================================
--- src/main/resources/static/css/admin-terms.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/admin-terms.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -44,8 +44,11 @@
 }
 #active{
-    margin: 15px 0;
+    padding: 15px;
     display: flex;
     flex-direction: column;
     gap: 10px;
+    border: 1px solid #ccc;
+    border-radius: 5px;
+    background-color: #f9f9f9;
 }
 #frame{
@@ -79,5 +82,4 @@
     position: relative;
     overflow: hidden;
-    /* transform: scale(1.25); */
 }
 
@@ -131,9 +133,7 @@
     cursor: pointer;
     animation: to-top 1s forwards;
-    /* border-radius: 50%; */
 }
 #frame > *:hover{
     background-color:white;
-    transition: background-color 0.3s, transform 0.3s;
 }
 
@@ -276,7 +276,7 @@
     font-size: 14px;
     height: 30px;
-    width: 55px;
+    width: 70px;
     padding: 5px;
-    overflow: hidden; /* Hide overflow if needed */
+    overflow: hidden;
 }
 
@@ -291,5 +291,5 @@
     width: 100%;
     height: 100%;
-    background-color: rgba(0, 0, 0, 0.5); /* Dark background */
+    background-color: rgba(0, 0, 0, 0.5);
     justify-content: center;
     align-items: center;
@@ -320,11 +320,12 @@
 }
 
-#cancelBtn {
-    background-color: #f44336; /* Red */
+#cancelBtn, #temporal-deletion, #delete-approval{
+    background-color: #ff6666;
     color: white;
-}
-
-#approveBtn {
-    background-color: #4CAF50; /* Green */
+    max-width: fit-content;
+}
+
+#approveBtn, #confirm-approval, #approve-carried-out{
+    background-color: #4CAF50;
     color: white;
 }
@@ -390,4 +391,5 @@
     background-color: #f9f9f9;
 }
+
 #creation > * {
     padding-bottom: 10px;
@@ -405,11 +407,14 @@
 }
 
-#delete-all-free button {
-    padding: 10px;
-    background-color: #ff6666;
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
     color: white;
+    background-color: red;
+    padding: 10px;
     border: none;
     border-radius: 5px;
-    cursor: pointer;
 }
 
@@ -423,25 +428,16 @@
 }
 
-
-
-/* Table styles */
 table {
-    width: 320px;
+    padding-top: 10px;
+    width: fit-content;
     border-collapse: collapse;
     margin-bottom: 20px;
 }
 
-/* Table header styles */
-thead {
-    background-color: #007BFF;
-    color: white;
-}
-
-th {
+
+thead > tr {
     padding: 10px;
     text-align: left;
 }
-
-
 
 tbody tr {
@@ -451,5 +447,5 @@
 
 tbody tr:hover {
-    background-color: #f1f1f1; /* Highlight row on hover */
+    background-color: #f1f1f1;
 }
 
@@ -457,2 +453,28 @@
     padding: 10px;
 }
+
+#request-assets, #appointment-assets
+{
+    display: flex;
+    flex-direction: row;
+    gap: 10px;
+}
+
+h3{
+    padding-top: 20px;
+}
+#summary{
+    margin-top: 20px;
+    padding: 15px;
+    display: flex;
+    flex-direction: column;
+    border: 1px solid #ccc;
+    border-radius: 5px;
+    background-color: #f9f9f9;
+}
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+}
Index: src/main/resources/static/css/admin.css
===================================================================
--- src/main/resources/static/css/admin.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/admin.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -41,20 +41,21 @@
     padding: 30px;
     display: grid;
-    grid-template-columns: repeat(2, 1fr); /* Create two equal columns */
-    gap: 20px;                          /* Space between grid items */
+
+    grid-template-columns: repeat(2, 1fr);
+    gap: 20px;
 }
 #menu a {
-    display: flex;                      /* Enable Flexbox for a */
-    flex-direction: column;            /* Align icon and text vertically */
-    align-items: center;               /* Center items horizontally */
+    display: flex;
+    flex-direction: column;
+    align-items: center;
     justify-content: center;
-    text-decoration: none;             /* Remove underline from links */
-    padding: 15px;                    /* Add padding inside each link */
-    border: 1px solid #ccc;           /* Optional: border around each link */
+    text-decoration: none;
+    padding: 15px;
+    border: 1px solid #ccc;
     border-radius: 5px;
     font-size: 30px; ;
 }
 #menu a:hover {
-    background-color: white; /* Light blue background on hover */
+    background-color: white;
     transition: background-color 0.3s ease;
     border: 1px solid black;
@@ -62,5 +63,16 @@
 
 #menu img {
-    max-width: 50px;                  /* Limit the width of images */
-    margin-bottom: 5px;               /* Space between image and text */
+    max-width: 50px;
+    margin-bottom: 5px;
 }
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
Index: src/main/resources/static/css/adminNews.css
===================================================================
--- src/main/resources/static/css/adminNews.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/adminNews.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -27,19 +27,22 @@
 }
 .news-item{
-    display: flex; /* Aligns image and text in a row */
-    flex-direction: column; /* Change to 'row' for horizontal layout */
-    width: 260px;
+    display: flex;
+    flex-direction: column;
+    width: 420px;
     align-items: center;
     justify-content: center;
     margin: 0 15px 10px 0;
     padding: 20px;
-    border: 1px solid #ddd; /* Optional: Adds a border */
+    border: 1px solid #ddd;
     box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
 }
+.news-item > *{
+    text-align: left;
+}
 img{
-    width: 100%; /* Make image responsive */
-    max-width: 400px; /* Set a maximum width for the image */
-    height: auto; /* Maintain aspect ratio */
-    border-radius: 10px; /* Optional: Adds rounded corners */
+    width: 100%;
+    max-width: 400px;
+    height: auto;
+    border-radius: 10px;
     margin-bottom: 15px;
 }
@@ -47,5 +50,5 @@
     font-size: 1.2rem;
     line-height: 1.5;
-    text-align: center; /* Center the text */
+    text-align: center;
     color: #333;
     margin: 0;
@@ -53,5 +56,5 @@
 @media (max-width: 768px) {
     .news-item {
-        flex-direction: column; /* Stack elements on smaller screens */
+        flex-direction: column;
     }
 }
@@ -98,5 +101,4 @@
 }
 
-/* Style for the upload button */
 #open-popup {
     padding: 10px 20px;
@@ -110,5 +112,5 @@
 
 #image-popup {
-    width: 400px; /* Set a width for the modal */
+    width: 400px;
     background-color: white;
     border-radius: 8px;
@@ -126,5 +128,4 @@
 }
 
-/* Image preview area */
 #image-preview {
     margin-top: 10px;
@@ -133,5 +134,4 @@
 }
 
-/* Style for buttons inside the popup */
 #image-popup button {
     padding: 8px 15px;
@@ -147,25 +147,30 @@
 
 #edit-button, #save-button {
-    background-color: #17a2b8; /* Blueish color */
+    background-color: #17a2b8;
 }
 
 
-/* Overlay */
 #overlay {
-    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
-    z-index: 999; /* Ensure it is behind the modal but above everything else */
+    background: rgba(0, 0, 0, 0.5);
+    z-index: 999;
 }
 
-/* Button hover effects */
 #image-popup button:hover, #open-popup:hover {
     opacity: 0.9;
 }
 
-
-
-/* Cancel button */
 #cancel-button {
-    background-color: #dc3545; /* Red color */
+    background-color: #dc3545;
 }
 
-
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
Index: src/main/resources/static/css/calendar.css
===================================================================
--- src/main/resources/static/css/calendar.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/calendar.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -1,15 +1,14 @@
-/* Modal background */
 #confirmation-modal {
-    display: none; /* Hidden by default */
-    position: absolute; /* Fixed positioning to center it on the page */
-    z-index: 1000; /* Sit on top */
+    display: none;
+    position: absolute;
+    z-index: 1000;
     left: 38%;
     top: 40%;
-    width: 400px; /* Full width */
-    overflow: auto; /* Enable scroll if needed */
-    background-color: #fff; /* White background for the content */
-    border-radius: 8px; /* Rounded corners */
-    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Subtle shadow for depth */
-    text-align: center; /* Center align text */
+    width: 400px;
+    overflow: auto;
+    background-color: #fff;
+    border-radius: 8px;
+    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
+    text-align: center;
 }
 .model-content{
@@ -24,7 +23,6 @@
 }
 
-/* Buttons */
 button {
-    background-color: #3498db; /* Primary button color */
+    background-color: #3498db;
     border: none;
     color: #fff;
@@ -38,19 +36,18 @@
 
 button:hover {
-    background-color: #2980b9; /* Darker shade for hover effect */
-    transform: scale(1.05); /* Slight scale effect on hover */
+    background-color: #2980b9;
+    transform: scale(1.05);
 }
 
 button:active {
-    background-color: #1f77e4; /* Even darker shade when active */
-}
-
-/* Cancel button with different color */
+    background-color: #1f77e4;
+}
+
 #cancel-booking {
-    background-color: #e74c3c; /* Different color for cancel button */
+    background-color: #e74c3c;
 }
 
 #cancel-booking:hover {
-    background-color: #c0392b; /* Darker shade for hover effect */
+    background-color: #c0392b;
 }
 
@@ -118,4 +115,17 @@
 #right-side > *{
     margin:10px;
+}
+#right-side{
+    position: relative;
+    top: 50px;
+    padding: 16px;
+}
+#hourly-terms{
+    display: flex;
+    flex-wrap: wrap;
+    gap: 10px;
+}
+#right-side > *{
+    margin-bottom: 5px;
 }
 
@@ -176,5 +186,4 @@
     position: relative;
     overflow: hidden;
-    /* transform: scale(1.25); */
 }
 
@@ -232,5 +241,4 @@
     cursor: pointer;
     animation: to-top 1s forwards;
-    /* border-radius: 50%; */
 }
 
@@ -239,7 +247,4 @@
 }
 
-.calendar-days div:hover span {
-    transition: width 0.2s ease-in-out, height 0.2s ease-in-out;
-}
 
 .calendar-days div span:nth-child(1),
@@ -250,9 +255,4 @@
 }
 
-.calendar-days div:hover span:nth-child(1),
-.calendar-days div:hover span:nth-child(3) {
-    height: 100%;
-}
-
 .calendar-days div span:nth-child(1) {
     bottom: 0;
@@ -272,8 +272,4 @@
 }
 
-.calendar-days div:hover span:nth-child(2),
-.calendar-days div:hover span:nth-child(4) {
-    width: 100%;
-}
 
 .calendar-days div span:nth-child(2) {
@@ -287,18 +283,5 @@
 }
 
-.calendar-days div:hover span:nth-child(2) {
-    transition-delay: 0.2s;
-}
-
-.calendar-days div:hover span:nth-child(3) {
-    transition-delay: 0.4s;
-}
-
-.calendar-days div:hover span:nth-child(4) {
-    transition-delay: 0.6s;
-}
-
-.calendar-days div.curr-date,
-.calendar-days div.curr-date:hover {
+.curr-date{
     background-color: var(--blue);
     color: var(--white);
@@ -391,6 +374,16 @@
     }
 }
-
-
-
-
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
+
+
+
Index: src/main/resources/static/css/editUser.css
===================================================================
--- src/main/resources/static/css/editUser.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/editUser.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -0,0 +1,189 @@
+body{
+    font-family: "Caveat", cursive;
+    margin: 30px;
+}
+#content{
+    display: flex;
+    gap: 50px;
+}
+#main-part{
+    display: flex;
+    flex-direction: column;
+    width:420px;
+    gap: 30px;
+}
+#container{
+    display: flex;
+    justify-content: center;
+    align-items: center;
+    height: 300px;
+    gap: 50px;
+    border: 1px solid #ccc;
+    border-radius: 5px;
+    background-color: #f9f9f9;
+    padding: 10px;
+}
+
+#container p{
+    font-weight:bold;
+    margin: 0;
+    padding-bottom: 10px;
+}
+button {
+    margin-right: 13px;
+    margin-bottom: 5px;
+    border:0;
+    border-radius: 5px;
+    padding: 10px;
+}
+
+#block-account{
+    background-color: #ff6666;
+    color: white;
+}
+#edit-profile{
+    background-color: royalblue;
+    color: white;
+}
+#saveChanges{
+    background-color: #4CAF50;
+    color: white;
+}
+#left-side, #right-side {
+    display: flex;
+    flex-direction: column;
+    gap: 15px;
+}
+
+#stat-table {
+    height: 320px;
+    width: 420px;
+    border-collapse: collapse;
+    table-layout: fixed;
+}
+#additional-table{
+    border-collapse: collapse;
+    table-layout: fixed;
+}
+#active-tableHead > tr > th, #active-table > tr > td{
+   width: fit-content;
+}
+
+#stat-table th, #stat-table td, #active-tableHead > tr > th, #active-table > tr > td {
+    text-align: center;
+    border: 1px solid #ddd;
+    padding: 12px;
+}
+
+#stat-table th, #active-tableHead > tr > th {
+    background-color: lightslategray;
+    color: #fff;
+    font-weight: bold;
+
+}
+
+
+#table-part > p{
+    font-size: 20px;
+}
+#statusDropdown{
+    margin-bottom: 25px;
+}
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
+
+.modal {
+    display: none; /* Hidden by default */
+    position: fixed; /* Stay in place */
+    z-index: 9999; /* Sit on top */
+    left: 0;
+    top: 0;
+    width: 100%; /* Full width */
+    height: 100%; /* Full height */
+    background-color: rgba(0, 0, 0, 0.5); /* Black background with opacity */
+    align-items: center;
+    justify-content: center;
+}
+
+/* Modal Content Box */
+.modal-content {
+    background-color: #fefefe;
+    margin: auto;
+    padding: 20px;
+    border-radius: 8px;
+    width: 300px;
+    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
+    text-align: center;
+    position: relative;
+}
+
+.close {
+    position: absolute;
+    top: 10px;
+    right: 15px;
+    color: #aaa;
+    font-size: 24px;
+    font-weight: bold;
+    cursor: pointer;
+}
+
+.close:hover,
+.close:focus {
+    color: #000;
+    text-decoration: none;
+    cursor: pointer;
+}
+
+/* Modal Heading */
+h2 {
+    margin-bottom: 15px;
+    font-size: 20px;
+}
+
+/* Input Field */
+#userInput {
+    width: 100%;
+    padding: 8px;
+    margin-bottom: 15px;
+    border: 1px solid #ccc;
+    border-radius: 4px;
+    box-sizing: border-box;
+}
+
+/* Buttons */
+.buttons {
+    display: flex;
+    justify-content: space-between;
+}
+
+.buttons button {
+    width: 48%;
+    padding: 10px;
+    border: none;
+    border-radius: 4px;
+    cursor: pointer;
+    font-size: 16px;
+}
+
+#cancelBtn {
+    background-color: #f44336;
+    color: white;
+}
+
+#approveBtn {
+    background-color: #4CAF50;
+    color: white;
+}
+
+.buttons button:hover {
+    opacity: 0.8;
+}
Index: src/main/resources/static/css/index.css
===================================================================
--- src/main/resources/static/css/index.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/index.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -66,13 +66,13 @@
 
 .dropdown-content {
-    display: none; /* Hide dropdown by default */
-    position: absolute; /* Position relative to the list item */
+    display: none;
+    position: absolute;
     left: 0;
-    top: 100%; /* Position below the list item */
-    background-color: white; /* Background color of the dropdown */
-    border: 1px solid #ddd; /* Border of the dropdown */
-    padding: 10px; /* Padding inside the dropdown */
-    box-shadow: 0 2px 5px rgba(0,0,0,0.1); /* Optional shadow for dropdown */
-    width: 100%; /* Full width of the list item */
+    top: 100%;
+    background-color: white;
+    border: 1px solid #ddd;
+    padding: 10px;
+    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
+    width: 100%;
 }
 .icon-search{
@@ -98,5 +98,4 @@
     justify-content: center;
     height: 350px;
-    /*background-color: #F3F0E7;*/
     background-color: #F7F7F5;
 }
@@ -108,4 +107,6 @@
 .items-register{
     font-family: "Kumbh Sans", sans-serif;
+    position: absolute;
+    left: 900px;
 }
 .items-register p{
@@ -117,22 +118,15 @@
 }
 
-.items-register{
-    display:flex;
+.form-imp{
+    display: flex;
     flex-direction: column;
     align-items: center;
-    /*background-color: #F3F0E7;*/
-}
-
-.form-imp{
-    display: flex;
-    flex-direction: column;
-    align-items: center;
     width: auto;
     padding: 10px;
 }
 input , button {
-    border-radius: 5px; /* Adjust the value to make the corners more or less rounded */
-    padding: 7px; /* Optional: adds padding inside the input */
-    border: 1px solid #9D9D9D; /* Optional: adds a border around the input */
+    border-radius: 5px;
+    padding: 7px;
+    border: 1px solid #9D9D9D;
 }
 button{
@@ -140,9 +134,22 @@
     color:white;
 }
+#personalised{
+    font-size: xx-large;
+    font-family: "Caveat", cursive;
+}
 .white-part{
+    display: flex;
+    flex-direction: column;
     background-color: white;
     width: 415px;
     border-radius: 5px;
-    padding: 7px;
+    padding: 20px;
+}
+a {
+    text-decoration: none;
+}
+.logged-in{
+    padding: 20px;
+    font-family: "Kumbh Sans", sans-serif;
 }
 .split-title{
@@ -179,5 +186,4 @@
     align-items: center;
     background-color: #F7F7F5;
-    /*background-color: #F3F0E7;*/
 }
 .part2 > div{
@@ -187,5 +193,5 @@
 }
 .part2 > div:first-child {
-    justify-content: flex-end; /* Align the content to the right */
+    justify-content: flex-end;
 }
 
@@ -217,11 +223,11 @@
     background-color: transparent;
     color: darkgreen;
-    border: 2px solid darkgreen; /* Set the border color and make it bold */
-    border-radius: 12px; /* Make the borders rounded */
-    font-weight: bold; /* Make the text bold */
-    padding: 10px 20px; /* Add some padding for better appearance */
-    cursor: pointer; /* Change the cursor to a pointer when hovered */
-    font-family: "Kumbh Sans", sans-serif; /* Match the font family */
-    font-size: 16px; /* Adjust font size as needed */
+    border: 2px solid darkgreen;
+    border-radius: 12px;
+    font-weight: bold;
+    padding: 10px 20px;
+    cursor: pointer;
+    font-family: "Kumbh Sans", sans-serif;
+    font-size: 16px;
 }
 
@@ -248,6 +254,6 @@
 }
 .icons li img:hover {
-    background-color: white; /* Change background color on hover */
-    border-color: darkslategrey; /* Change border color on hover */
+    background-color: white;
+    border-color: darkslategrey;
 }
 .footer-left p img{
@@ -272,22 +278,20 @@
 }
 
-
-/*login*/
-
 .popup {
-    display: none; /* Hide the form */
-    position: fixed; /* Position it relative to the viewport */
-    z-index: 2; /* Ensure it appears above other content */
+    display: none;
+    position: fixed;
+    z-index: 2;
     left: 50%;
     top: 50%;
-    transform: translate(-50%, -50%); /* Center it horizontally and vertically */
-    width: 500px; /* Set a fixed width for the form */
-    padding: 25px; /* Add some padding */
-    background-color: white; /* Background color of the form */
-    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5); /* Add a shadow for better visibility */
-    border-radius: 10px; /* Slightly round the corners */
-}
-
-/* Style the close button */
+    transform: translate(-50%, -50%);
+    width: 500px;
+    height: auto;
+    padding: 25px;
+    background-color: white;
+    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
+    border-radius: 10px;
+    font-family: "Kumbh Sans", sans-serif;
+}
+
 .popup .close-btn {
     position: absolute;
@@ -297,42 +301,49 @@
     cursor: pointer;
 }
-
-/* Add some basic styling for the form content */
+#submit-btn{
+    width: 120px;
+    background-color: #10B981;
+}
+#loginForm > div > h2{
+    text-align: center;
+}
+
 .popup-content {
-    display: flex; /* Use flexbox for layout */
-    flex-direction: column; /* Stack children vertically */
-    align-items: stretch; /* Ensure all elements take the full width */
-    text-align: center; /* Center the content */
+    padding: 20px;
+    width: 100%;
+    display: flex;
+    flex-direction: column;
+    align-items: stretch;
 }
 
 .popup-content h2 {
-    margin-bottom: 20px; /* Add some space below the title */
+    margin-bottom: 20px;
 }
 
 .popup-content label {
-    display: block; /* Make the labels block elements */
-    margin-bottom: 10px; /* Add some space below the labels */
-    text-align: left; /* Align the text to the left */
+    display: block;
+    margin-bottom: 10px;
+    text-align: left;
 }
 
 .popup-content input {
-    width: 100%; /* Make the inputs take up the full width */
-    padding: 8px; /* Add some padding inside the inputs */
-    margin-bottom: 20px; /* Add space below the inputs */
-    border: 1px solid #ccc; /* Light border around inputs */
-    border-radius: 5px; /* Slightly round the input corners */
+    width: 100%;
+    padding: 8px;
+    margin-bottom: 20px;
+    border: 1px solid #ccc;
+    border-radius: 5px;
 }
 
 .popup-content button {
-    padding: 10px 20px; /* Add padding to the button */
-    background-color: #007BFF; /* Button background color */
-    color: white; /* Button text color */
-    border: none; /* Remove the default border */
-    border-radius: 5px; /* Round the button corners */
-    cursor: pointer; /* Add a pointer cursor on hover */
+    padding: 10px 20px;
+    background-color: #007BFF;
+    color: white;
+    border: none;
+    border-radius: 5px;
+    cursor: pointer;
 }
 
 .popup-content button:hover {
-    background-color: #0056b3; /* Darken the button on hover */
+    background-color: #0056b3;
 }
 body.no-scroll {
@@ -340,7 +351,57 @@
 }
 .dataForms{
-    display: flex; /* Use flexbox for layout */
-    flex-direction: column; /* Stack children vertically */
-    align-items: stretch; /* Ensure all elements take the full width */
-    text-align: center; /* Center the content */
-}
+    display: flex;
+    flex-direction: column;
+    align-items: stretch;
+    text-align: center;
+
+}
+#links{
+    padding: 10px;
+    display: flex;
+    flex-direction: column;
+    gap: 5px;
+    color: darkgreen;
+}
+.logged-in{
+    position: absolute;
+    left: 900px;
+    padding: 30px;
+}
+a img{
+    transform: rotate(-90deg);
+    height: 20px;
+    margin-right: 10px;
+}
+#signInForm{
+    height: 500px;
+    width: 700px;
+}
+#signInForm > div > form{
+    display: grid;
+    grid-template-columns: repeat(2, 1fr);
+    grid-template-rows: repeat(3, 1fr);
+    gap: 10px;
+}
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
+
+#create{
+    width: 200px;
+    padding: 15px;
+    background-color: #10B981;
+    position: absolute;
+    top: 80%;
+    left: 50%;
+    transform: translate(-50%, -50%);
+    margin-top: 20px;
+}
Index: src/main/resources/static/css/terms.css
===================================================================
--- src/main/resources/static/css/terms.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/terms.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -4,10 +4,7 @@
 body{
     font-family: var(--font-family);
+    background-color: #f3f8fe;
 }
-#outer-frame{
-    background-color: #f3f8fe;
-    width: 100%;
-    height: 100vh;
-}
+
 #header{
     display: flex;
@@ -16,7 +13,12 @@
 #menu{
     display: flex;
+    gap: 10px;
 }
 #menu *{
-    padding: 8px;
+    padding: 10px;
+    background-color: #17a2b8;
+    border: 0;
+    border-radius: 5px;
+    color: white;
 }
 table td,
@@ -24,8 +26,5 @@
     padding: 10px;
 }
-table{
-    /*margin: 0 auto;*/
-    width: 920px;
-}
+
 
 #popup {
@@ -67,2 +66,40 @@
     color: #fff;
 }
+
+table{
+    border-collapse: collapse;
+    table-layout: fixed;
+    width: max-content;
+}
+
+th, td {
+    width: fit-content;
+    text-align: center;
+    border: 1px solid #ddd;
+    padding: 12px;
+}
+
+th {
+    background-color: lightslategray;
+    color: #fff;
+
+}
+#frame{
+    display: flex;
+    flex-direction: column;
+    gap: 10px;
+}
+#requestsTableBody{
+    background-color: #eeeded;
+}
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
Index: src/main/resources/static/css/userInfo.css
===================================================================
--- src/main/resources/static/css/userInfo.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/userInfo.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -0,0 +1,41 @@
+body{
+    font-family: "Caveat", cursive;
+    background-color: aliceblue;
+}
+#box{
+    display: flex;
+    margin: 20px;
+    gap: 20px;
+}
+#coupons-frame, #news-frame{
+    display: flex;
+    flex-wrap: wrap;
+    justify-content: start;
+}
+.new-item{
+display: flex;
+flex-direction: column;
+width: 260px;
+align-items: center;
+justify-content: center;
+margin: 0 15px 10px 0;
+padding: 20px;
+border: 1px solid #ddd;
+box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
+background-color: white;
+}
+h2{
+   display: flex;
+    justify-content: center;
+}
+#authButton{
+    position: absolute;
+    left: 1145px;
+    top: 21px;
+    width: 150px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}
Index: src/main/resources/static/css/users-view.css
===================================================================
--- src/main/resources/static/css/users-view.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
+++ src/main/resources/static/css/users-view.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
@@ -1,3 +1,3 @@
-/* General reset */
+
 * {
     margin: 0;
@@ -6,5 +6,4 @@
 }
 
-/* Styling for the entire page */
 body {
     font-family: Arial, sans-serif;
@@ -20,5 +19,4 @@
 }
 
-/* Frame that contains the whole content */
 #frame {
     width: 80%;
@@ -30,5 +28,4 @@
 }
 
-/* Header section */
 #header-part {
     display: flex;
@@ -39,5 +36,4 @@
 }
 
-/* Dropdown and labels styling */
 label {
     font-weight: bold;
@@ -60,5 +56,4 @@
 }
 
-/* Main part: the table */
 #main-part {
     margin-top: 20px;
@@ -96,5 +91,4 @@
 }
 
-/* For responsiveness */
 @media (max-width: 768px) {
     #header-part {
@@ -111,33 +105,16 @@
     display: none;
 }
-/*.news-item{*/
-/*    display: flex; !* Aligns image and text in a row *!*/
-/*    !*flex-direction: column; !* Change to 'row' for horizontal layout *!*!*/
-/*    width: 300px;*/
-/*    align-items: center;*/
-/*    justify-content: center;*/
-/*    max-width: 800px; !* Limit max width to prevent stretching *!*/
-/*    margin: 0 auto; !* Centers the container *!*/
-/*    padding: 20px;*/
-/*    border: 1px solid #ddd; !* Optional: Adds a border *!*/
-/*    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);*/
-/*}*/
-/*img{*/
-/*    width: 100%; !* Make image responsive *!*/
-/*    max-width: 400px; !* Set a maximum width for the image *!*/
-/*    height: auto; !* Maintain aspect ratio *!*/
-/*    border-radius: 10px; !* Optional: Adds rounded corners *!*/
-/*    margin-bottom: 15px;*/
-/*}*/
-/*p{*/
-/*    font-size: 1.2rem;*/
-/*    line-height: 1.5;*/
-/*    text-align: center; !* Center the text *!*/
-/*    color: #333;*/
-/*    margin: 0;*/
-/*}*/
-/*@media (max-width: 768px) {*/
-/*    .news-item {*/
-/*        flex-direction: column; !* Stack elements on smaller screens *!*/
-/*    }*/
-/*}*/
+button{
+    padding: 5px;
+}
+#authButton{
+    position: absolute;
+    left: 1280px;
+    top: 21px;
+    width: 127px;
+    color: white;
+    background-color: red;
+    padding: 10px;
+    border: none;
+    border-radius: 5px;
+}