Index: Prototype Application/Paw5/src/main/resources/templates/create-post.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
+++ Prototype Application/Paw5/src/main/resources/templates/create-post.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
@@ -0,0 +1,113 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org"
+      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
+      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
+<head>
+    <meta charset="UTF-8">
+    <title>Create a post</title>
+</head>
+<body>
+    <h1>Create post</h1>
+<form th:action="@{/submit-post}" method="post">
+
+    <div>
+        <label for="pet">Selet pet:</label>
+        <select id="pet">
+        </select>
+    </div>
+
+    <div>
+        <label for="newpet">Add new pet:</label>
+            <input id="newpet" name="newpet" placeholder="newpet" type="checkbox">
+    </div>
+
+    <div>
+        <label for="name">Name:</label>
+        <input type="text"
+               id="name"
+               name="name"
+               class="form-control"
+               placeholder="Enter name">
+    </div>
+
+    <div>
+        <label for="gender">Gender:</label>
+        <select id="gender"
+                name="gender"
+                class="form-control">
+            <option value = "MALE">male</option>
+            <option value = "FEMALE">female</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="ageGroup">Age Group:</label>
+        <select id="ageGroup"
+                name="ageGroup"
+                class="form-control">
+            <option value = "YOUNG">young</option>
+            <option value = "ADULT">adult</option>
+            <option value = "ELDER">elder</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="size">Size:</label>
+        <select id="size"
+                name="size"
+                class="form-control">
+            <option value = "XSMALL">extra small</option>
+            <option value = "SMALL">small</option>
+            <option value = "MEDIUM">medium</option>
+            <option value = "LARGE">large</option>
+            <option value = "XLARGE">extra large</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="species">Species:</label>
+        <select id="species"
+                name="species"
+                class="form-control">
+            <option value = "CAT">cat</option>
+            <option value = "DOG">dog</option>
+            <option value = "BIRD">bird</option>
+        </select>
+    </div>
+
+    <div>
+        <label for="breed">Breed:</label>
+        <input type="text"
+               id="breed"
+               name="breed"
+               class="form-control"
+               placeholder="Enter breed" >
+    </div>
+
+    <div>
+        <label for="imageUrl">Image URL:</label>
+        <input type="text"
+               id="imageUrl"
+               name="imageUrl"
+               class="form-control"
+               placeholder="Enter image URL">
+        <!-- <label for="upload">Image:</label>
+        <input id="upload" type="file" accept="image/*">
+        <input type="submit">-->
+    </div>
+
+    <div>
+        <label for="canBeFostered">Can be fostered:</label>
+        <input type="checkbox"
+               id="canBeFostered"
+               name="canBeFostered"
+               class="form-control"
+               value=false>
+    </div>
+
+    <button id="submit" type="submit">Submit</button>
+
+</form>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
+++ Prototype Application/Paw5/src/main/resources/templates/list-posts-adoption.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
@@ -0,0 +1,34 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org"
+      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
+      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
+<head>
+    <meta charset="UTF-8">
+    <title>Adoption Posts</title>
+</head>
+<body>
+<table>
+    <tr>
+        <th>Post ID</th>
+        <th>Pet Name</th>
+        <th>Species</th>
+    </tr>
+    <tr th:each = "post : ${session.posts}">
+        <td th:text = "${post.getId()}"></td>
+        <td th:each = "pet : ${session.pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getName()}"></td>
+        <td th:each = "pet : ${session.pets}" th:if="${post.getPetId()==pet.getId()}" th:text = "${pet.getSpecies()}"></td>
+        <td>
+            <form th:action="@{'/pet-details-{id}' (id=${post.getId()})}"
+                  th:method="GET">
+                <button type="submit"
+                        class="btn">
+                        View Details
+                </button>
+            </form>
+
+        </td>
+    </tr>
+</table>
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/pet-details.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/pet-details.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
+++ Prototype Application/Paw5/src/main/resources/templates/pet-details.html	(revision 50f2c2a18d81327837ff765564b91beac304e421)
@@ -0,0 +1,43 @@
+<!DOCTYPE html>
+<html xmlns="http://www.w3.org/1999/xhtml"
+      xmlns:th="http://www.thymeleaf.org"
+      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"
+      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+<table>
+    <tr>
+        <th>Post ID</th>
+        <td th:text = "${session.post.getId()}"></td>
+    <tr>
+        <th>Pet Name</th>
+        <td th:text = "${session.pet.getName()}"></td>
+    </tr>
+    <tr>
+        <th>Species</th>
+        <td th:text = "${session.pet.getSpecies()}"></td>
+    </tr>
+    <tr>
+        <th>Breed</th>
+        <td th:text = "${session.pet.getBreed()}"></td>
+    </tr>
+    <tr>
+        <th>Gender</th>
+        <td th:text = "${session.pet.getGender()}"></td>
+    </tr>
+    <tr>
+        <th>Age Group</th>
+        <td th:text = "${session.pet.getAgeGroup}"></td>
+    </tr>
+    <tr>
+        <th>Size</th>
+        <td th:text = "${session.pet.getSize()}"></td>
+    </tr>
+
+</table>
+
+</body>
+</html>