Index: sources/app/src/main/java/parkup/controllers/RegisteredUserController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision c45b67b0a59148432c6fb09d5e759a357055e871)
+++ sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
@@ -8,5 +8,7 @@
 import parkup.configs.RegistrationRequest;
 import parkup.configs.RegistrationServiceRP;
+import parkup.data.enumarations.SessionStatus;
 import parkup.entities.RegisteredUser;
+import parkup.services.ParkingSessionService;
 import parkup.services.RegisteredUserService;
 
@@ -15,9 +17,11 @@
     private final RegisteredUserService registeredUserService;
     private final RegistrationServiceRP registrationServiceRP;
+    private final ParkingSessionService parkingSessionService;
 
     @Autowired
-    public RegisteredUserController(RegisteredUserService registeredUserService, RegistrationServiceRP registrationServiceRP) {
+    public RegisteredUserController(RegisteredUserService registeredUserService, RegistrationServiceRP registrationServiceRP, ParkingSessionService parkingSessionService) {
         this.registeredUserService = registeredUserService;
         this.registrationServiceRP = registrationServiceRP;
+        this.parkingSessionService = parkingSessionService;
     }
 
@@ -37,4 +41,9 @@
     }
 
+    @GetMapping({"registriranParkirac/{regParkId}/session"})
+    public SessionStatus getStatusOnParkirac(@PathVariable int regParkId){
+        return parkingSessionService.getStatusOfParkirac(regParkId);
+    }
+
     @PostMapping({"/registriranParkirac"})
     public Optional<RegisteredUser> addRegistriranParkirac(@RequestBody RegisteredUser regPark) {
@@ -44,5 +53,5 @@
     @PutMapping({"/registriranParkirac/{regParkId}"})
     public RegisteredUser updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegisteredUser regPark) {
-        return this.registeredUserService.updateRegPark(regParkId, regPark.getFirstName(), regPark.getLastName(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
+        return this.registeredUserService.updateRegPark(regParkId,regPark.getPassword(), regPark.getFirstName(), regPark.getLastName(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
     }
 
Index: sources/app/src/main/java/parkup/services/ParkingSessionService.java
===================================================================
--- sources/app/src/main/java/parkup/services/ParkingSessionService.java	(revision c45b67b0a59148432c6fb09d5e759a357055e871)
+++ sources/app/src/main/java/parkup/services/ParkingSessionService.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
@@ -8,8 +8,6 @@
 import parkup.entities.ParkingSpace;
 import parkup.entities.ParkingZone;
-import parkup.repositories.ParkingSessionRepository;
-import parkup.repositories.ParkingSpaceRepository;
-import parkup.repositories.ParkingZoneRepository;
-import parkup.repositories.PlateRepository;
+import parkup.entities.RegisteredUser;
+import parkup.repositories.*;
 
 import javax.transaction.Transactional;
@@ -25,11 +23,13 @@
     private final ParkingZoneRepository parkingZoneRepository;
     private final ParkingSpaceRepository parkingSpaceRepository;
+    private final RegisteredUserRepository registeredUserRepository;
     private final PlateRepository plateRepository;
 
     @Autowired
-    public ParkingSessionService(ParkingSessionRepository parkingSessionRepository, ParkingZoneRepository parkingZoneRepository, ParkingSpaceRepository parkingSpaceRepository, PlateRepository plateRepository) {
+    public ParkingSessionService(ParkingSessionRepository parkingSessionRepository, ParkingZoneRepository parkingZoneRepository, ParkingSpaceRepository parkingSpaceRepository, RegisteredUserRepository registeredUserRepository, PlateRepository plateRepository) {
         this.parkingSessionRepository = parkingSessionRepository;
         this.parkingZoneRepository = parkingZoneRepository;
         this.parkingSpaceRepository = parkingSpaceRepository;
+        this.registeredUserRepository = registeredUserRepository;
         this.plateRepository = plateRepository;
     }
@@ -174,3 +174,11 @@
         return true;
     }
+
+    public SessionStatus getStatusOfParkirac(int regParkId){
+        RegisteredUser registeredUser = registeredUserRepository.findByRegParkId(regParkId);
+        List<String> plates =parkingSessionRepository.findAll().stream().filter(ps->registeredUser.getPlates().contains(ps.getPlate())).map(ps->ps.getPlate().getPlate()).collect(Collectors.toList());
+        if(plates.size()>0)
+        return parkingSessionRepository.findAll().stream().filter(ps->ps.getPlate().getPlate().equals(plates.get(0))).collect(Collectors.toList()).get(0).getStatus();
+        return null;
+    }
 }
Index: sources/app/src/main/java/parkup/services/RegisteredUserService.java
===================================================================
--- sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision c45b67b0a59148432c6fb09d5e759a357055e871)
+++ sources/app/src/main/java/parkup/services/RegisteredUserService.java	(revision 52df867eb06a1ea39407b63025f2e772dba16392)
@@ -55,5 +55,5 @@
 
     @Transactional
-    public RegisteredUser updateRegPark(int regParkId, String name, String surname, String mobile, String email, List<Plate> regTablicki) {
+    public RegisteredUser updateRegPark(int regParkId,String password, String name, String surname, String mobile, String email, List<Plate> regTablicki) {
         Optional<RegisteredUser> regParkOpt = Optional.ofNullable(this.registeredUserRepository.findByRegParkId(regParkId));
         if (regParkOpt.isPresent()) {
@@ -67,5 +67,7 @@
                 regParkNov.setEmail(email);
             }
-
+            if(!password.isEmpty()){
+                regParkNov.setPassword(bCryptPasswordEncoder.encode(password));
+            }
             if (name != null && name.length() > 1 && !Objects.equals(regParkNov.getFirstName(), name)) {
                 regParkNov.setFirstName(name);